openshot::Profile Class Reference

This class loads a special text-based file called a Profile. More...

`#include <Profiles.h>`

## Public Member Functions

string | Json ()
| Get and Set JSON methods. More...
Json::Value | JsonValue ()
| Generate Json::JsonValue for this object. More...
| Profile (string path)
| Constructor for Profile. More...
void | SetJson (string value)
| Load JSON string into this object. More...
void | SetJsonValue (Json::Value root)
| Load Json::JsonValue into this object. More...

## Public Attributes

ProfileInfo | info
| Profile data stored here. More...

## Detailed Description

This class loads a special text-based file called a Profile.

Profile data contains common video settings, such as framerate, height, width, aspect ratio, etc... All derived classes from openshot::WriterBase can load profile data using this class.

// This example demonstrates how to load a profile with this class.
Profile p("/home/jonathan/dv_ntsc_wide"); // Load the DV NTSC Widt profile data.

Definition at line 81 of file Profiles.h.

## Constructor & Destructor Documentation

## Profile()

Profile::Profile | ( | string | path | ) |

Constructor for Profile.

Parameters

  path | The folder path / location of a profile file

Definition at line 35 of file Profiles.cpp.

## Member Function Documentation

## Json()

string Profile::Json | ( |  | ) |

Get and Set JSON methods.

Generate JSON string of this object

Definition at line 133 of file Profiles.cpp.

## JsonValue()

Json::Value Profile::JsonValue | ( |  | ) |

Generate Json::JsonValue for this object.

Definition at line 140 of file Profiles.cpp.

## SetJson()

void Profile::SetJson | ( | string | value | ) |

Load JSON string into this object.

Definition at line 163 of file Profiles.cpp.

## SetJsonValue()

void Profile::SetJsonValue | ( | Json::Value | root | ) |

Load Json::JsonValue into this object.

Definition at line 186 of file Profiles.cpp.

## Member Data Documentation

## info

ProfileInfo openshot::Profile::info

Profile data stored here.

Definition at line 85 of file Profiles.h.

The documentation for this class was generated from the following files:

- Profiles.h
- Profiles.cpp

openshot::Profile::Profile
Profile(string path)
Constructor for Profile.
Definition: Profiles.cpp:35